@media(max-width:1300px) {
    .projectImageDiv {
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: space-between;
    }
}

@media(max-width:1300px) {
    .projectImage img {
        width: clamp(12.5rem, 30vw, 32.5rem);
    }

}

@media(max-width:1070px) {
    .projectContent {
        gap: 20px;
    }

    .projectInfo {
        width: 420px;
    }

    .projectInfo h3 {
        font-size: 110px;
    }

    .projectName {
        font-size: 50px;
    }

    .projectImage img {
        width: clamp(12.5rem, 28vw, 32.5rem);
    }
}

@media(max-width:960px) {
    .projectImage img {
        width: clamp(12.5rem, 25vw, 32.5rem);
    }
}

@media(max-width:920px) {
    .projectImage img {
        width: clamp(12.5rem, 22vw, 32.5rem);
    }
}

@media(max-width:850px) {
    .projectMaxView {
        padding: 20px 60px;
    }
}


@media(max-width:820px) {
    .projectContent {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        margin-top: 40px;
        gap: 40px;
    }

    .closeSection {
        top: 10px;
        right: 40px;
    }

    .projectImageDiv button {
        display: none;
    }

    .projectName {
        font-size: 40px;
        margin-bottom: 0px;
    }

    .projectStack {
        margin-bottom: 20px;
    }

    .projectQuestion {
        margin-bottom: 10px;
    }

    .projectDescription {
        margin-bottom: 25px;
    }

    .projectInfo {
        bottom: 45px;
    }

    .projectInfo h3 {
        font-size: 48px;
    }

    .projectImage {
        margin-top: 5px;
    }

    .projectImage img {
        width: clamp(12.5rem, 40vw, 32.5rem);
        height: auto;
    }

    .projectMaxView {
        padding: 10px 40px;
    }

    .nextProjectMobile {
        display: flex;
    }

    .projectLinks a:first-child {
        width: 105px;
    }

    .projectLinks a:last-child {
        width: 80px;
    }

    .projectLinks {
        gap: 10px;
    }

}

@media(max-width:645px) {
    .projectImage img {
        width: clamp(12.5rem, 40vw, 32.5rem);
    }

    .projectMaxView {
        padding: 10px 40px;
    }
}

@media(max-width:550px) {
    .projectImage img {
        width: clamp(12.5rem, 40vw, 32.5rem);
    }

    .projectMaxView {
        padding: 10px 30px;
    }
}

@media(max-width:510px) {
    .projectName {
        font-size: 36px;
    }

    .projectInfo {
        width: 390px;
    }

    .projectDescription {
        height: 96px;
    }

    .projectQuestion {
        font-size: 19px;
    }

    .projectMaxView {
        padding: 20px 20px;
    }

    .projectLinks a {
        padding: 13px 18px;
    }

    .projectLinks a:first-child {
        width: 105px;
    }

    .projectLinks a:last-child {
        width: 80px;
    }

    .projectLinks {
        gap: 10px;
    }

    .portfolioContent {
        width: 90%;
    }

    .PortfolioTextdiv {
        margin-left: 0px;
        margin-right: 0px;
    }
}


@media(max-width:460px) {
    .projectMaxView {
        padding: 10px 10px;
    }
}

@media(max-width:445px) {
    .projectInfo {
        width: 380px;
    }

    .projectStack {
        display: wrap;
    }
}

@media(max-width:430px) {
    .projectStack {
        display: grid;
        grid-template-columns: 1fr auto 1fr auto;
        column-gap: 5px;
        row-gap: 5px;
        justify-items: center;
        
    }
    .projectStack p{
        margin:0px 30px 0px 5px;
    }

    .projectInfo {
        width: 350px;
    }

    .projectInfo h3 {
        font-size: 45px;
    }

    .projectName {
        font-size: 36px;
        /* margin-bottom: 10px; */
    }

}

@media(max-width:410px) {
    .projectInfo {
        width: 320px;
    }

    .projectInfo h3 {
        font-size: 40px;
    }

    .projectName {
        font-size: 32px;
        /* margin-bottom: 10px; */
    }
}

@media(max-width:380px) {
    .projectInfo {
        width: 290px;
    }

    .projectInfo h3 {
        font-size: 35px;
    }

    .projectName {
        font-size: 28px;
        /* margin-bottom: 10px; */
    }
}

@media(max-width:345px) {
    .projectInfo {
        width: 260px;
    }

    .projectInfo h3 {
        font-size: 30px;
    }

    .projectName {
        font-size: 24px;
        height:35px;
    }

    .projectDescription {
        height: 140px;
    }

    .projectLinks {
        gap: 5px;
    }

    .projectLinks a {
        padding: 13px 15px;
    }
    .nextProjectMobile{
        bottom:5px;
    }
}

@media(max-height:700px) {
    .projectMaxView {
        padding: 10px 10px;
        height: calc(100vh - 60px);
    }

    .closeSection {
        top: 10px;
    }

    .projectImage img {
        height: clamp(7.5rem, 10vh, 32.5rem);
    }
}

@media(max-height:670px) {
    .projectMaxView {
        min-height: 630px;
    }
}

@media(min-width:1020px) and (max-width:1030px) and (min-height:595px) and (max-height:605px) {
    .projectMaxView {
        height: 95vh;
        min-height: unset;
    }

    .projectDescription {
        margin-bottom: 15px;
    }

    .projectImageDiv {
        height: 460px;
    }

    .projectImage img {
        height: clamp(13.5rem, 10vh, 32.5rem);
    }
}